Skip to main content
POST
/qiita/questions/search

Authorizations

access-token
string
header
required

API token from the dashboard

Headers

access-token
string
required

Body

application/json
count
integer
required
Required range: 1 <= x <= 2000
timeout
integer
default:300
Required range: 20 <= x <= 1500
keyword
string | null
question_title
string | null
body
string | null
code
string | null
tags
string[] | null
exclude_tags
string[] | null
user
string | null
question_by
string | null
answer_by
string | null
min_answers
integer | null
Required range: x >= 0
state
enum<string> | null
Available options:
open,
closed
question_format
enum<string> | null
Available options:
question,
discussion
created_from
string | null
created_to
string | null
updated_from
string | null
updated_to
string | null
sort
enum<string>
default:relevance
Available options:
relevance,
created,
like,
answer

Response

Successful Response

id
string
required
@type
string
default:QiitaQuestionRef
question_title
string | null
url
string | null
snippet
string | null
question_format
enum<string> | null
Available options:
question,
discussion
is_closed
boolean
default:false
created_at
integer | null
like_count
integer | null
answer_count
integer | null
questioner
object | null
tags
object[]